Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.core.metadata
Interface CallMetaDataProvider

All Known Implementing Classes:
  Db2CallMetaDataProvider, DerbyCallMetaDataProvider, GenericCallMetaDataProvider, OracleCallMetaDataProvider, PostgresCallMetaDataProvider, SqlServerCallMetaDataProvider, SybaseCallMetaDataProvider

    public interface CallMetaDataProvider

Interface specifying the API to be implemented by a class providing call metadata. This is intended for internal use by Spring's `SimpleJdbcCall`.

Since:
  2.5
Author:
  Thomas Risberg

Method Summary
`boolean` | `byPassReturnParameter(java.lang.String parameterName)` Should we bypass the return parameter with the specified name.
`java.lang.String` | `catalogNameToUse(java.lang.String catalogName)` Provide any modification of the catalog name passed in to match the meta data currently used.
`SqlParameter` | `createDefaultInOutParameter(java.lang.String parameterName, CallParameterMetaData meta)` Create a default inout parameter based on the provided meta data.
`SqlParameter` | `createDefaultInParameter(java.lang.String parameterName, CallParameterMetaData meta)` Create a default in parameter based on the provided meta data.
`SqlParameter` | `createDefaultOutParameter(java.lang.String parameterName, CallParameterMetaData meta)` Create a default out parameter based on the provided meta data.
`java.util.List<CallParameterMetaData>` | `getCallParameterMetaData()` Get the call parameter metadata that is currently used.
`int` | `getRefCursorSqlType()` Get the `Types` type for columns that return resultsets as ref cursors if this feature is supported.
`java.lang.String` | `getUserName()` Get the name of the current user.
`void` | `initializeWithMetaData(java.sql.DatabaseMetaData databaseMetaData)` Initialize using the provided DatabaseMetData.
`void` | `initializeWithProcedureColumnMetaData(java.sql.DatabaseMetaData databaseMetaData, java.lang.String catalogName, java.lang.String schemaName, java.lang.String procedureName)` Initialize the database specific management of procedure column meta data.
`boolean` | `isProcedureColumnMetaDataUsed()` Are we using the meta data for the procedure columns?
`boolean` | `isRefCursorSupported()` Does this database support returning resultsets as ref cursors to be retrieved with `CallableStatement.getObject(int)` for the specified column.
`boolean` | `isReturnResultSetSupported()` Does this database support returning resultsets that should be retrieved with the JDBC call `Statement.getResultSet()`
`boolean` | `isSupportsCatalogsInProcedureCalls()` Does the database support the use of catalog name in procedure calls
`boolean` | `isSupportsSchemasInProcedureCalls()` Does the database support the use of schema name in procedure calls
`java.lang.String` | `metaDataCatalogNameToUse(java.lang.String catalogName)` Provide any modification of the catalog name passed in to match the meta data currently used.
`java.lang.String` | `metaDataSchemaNameToUse(java.lang.String schemaName)` Provide any modification of the schema name passed in to match the meta data currently used.
`java.lang.String` | `parameterNameToUse(java.lang.String parameterName)` Provide any modification of the column name passed in to match the meta data currently used.
`java.lang.String` | `procedureNameToUse(java.lang.String procedureName)` Provide any modification of the procedure name passed in to match the meta data currently used.
`java.lang.String` | `schemaNameToUse(java.lang.String schemaName)` Provide any modification of the schema name passed in to match the meta data currently used.

Method Detail

### initializeWithMetaData

    void initializeWithMetaData(java.sql.DatabaseMetaData databaseMetaData)
                                throws java.sql.SQLException

  Initialize using the provided DatabaseMetData.

  Parameters:
    `databaseMetaData` - used to retrieve database specific information
  Throws:
    `java.sql.SQLException` - in case of initialization failure

### initializeWithProcedureColumnMetaData

    void initializeWithProcedureColumnMetaData(java.sql.DatabaseMetaData databaseMetaData,
                                               java.lang.String catalogName,
                                               java.lang.String schemaName,
                                               java.lang.String procedureName)
                                               throws java.sql.SQLException

  Initialize the database specific management of procedure column meta data. This is only called for databases that are supported. This initalization can be turned off by specifying that column meta data should not be used.

  Parameters:
    `databaseMetaData` - used to retrieve database specific information
    `catalogName` - name of catalog to use or null
    `schemaName` - name of schema name to use or null
    `procedureName` - name of the stored procedure
  Throws:
    `java.sql.SQLException` - in case of initialization failure
  See Also:
    `SimpleJdbcCall.withoutProcedureColumnMetaDataAccess()`

### procedureNameToUse

    java.lang.String procedureNameToUse(java.lang.String procedureName)

  Provide any modification of the procedure name passed in to match the meta data currently used. This could include alterig the case.

### catalogNameToUse

    java.lang.String catalogNameToUse(java.lang.String catalogName)

  Provide any modification of the catalog name passed in to match the meta data currently used. This could include alterig the case.

### schemaNameToUse

    java.lang.String schemaNameToUse(java.lang.String schemaName)

  Provide any modification of the schema name passed in to match the meta data currently used. This could include alterig the case.

### metaDataCatalogNameToUse

    java.lang.String metaDataCatalogNameToUse(java.lang.String catalogName)

  Provide any modification of the catalog name passed in to match the meta data currently used. The reyurned value will be used for meta data lookups. This could include alterig the case used or providing a base catalog if mone provided.

### metaDataSchemaNameToUse

    java.lang.String metaDataSchemaNameToUse(java.lang.String schemaName)

  Provide any modification of the schema name passed in to match the meta data currently used. The reyurned value will be used for meta data lookups. This could include alterig the case used or providing a base schema if mone provided.

### parameterNameToUse

    java.lang.String parameterNameToUse(java.lang.String parameterName)

  Provide any modification of the column name passed in to match the meta data currently used. This could include altering the case.

  Parameters:
    `parameterName` - name of the parameter of column

### createDefaultOutParameter

    SqlParameter createDefaultOutParameter(java.lang.String parameterName,
                                           CallParameterMetaData meta)

  Create a default out parameter based on the provided meta data. This is used when no explicit parameter declaration has been made.

  Parameters:
    `parameterName` - the name of the parameter
    `meta` - meta data used for this call
  Returns:
    the configured SqlOutParameter

### createDefaultInOutParameter

    SqlParameter createDefaultInOutParameter(java.lang.String parameterName,
                                             CallParameterMetaData meta)

  Create a default inout parameter based on the provided meta data. This is used when no explicit parameter declaration has been made.

  Parameters:
    `parameterName` - the name of the parameter
    `meta` - meta data used for this call
  Returns:
    the configured SqlInOutParameter

### createDefaultInParameter

    SqlParameter createDefaultInParameter(java.lang.String parameterName,
                                          CallParameterMetaData meta)

  Create a default in parameter based on the provided meta data. This is used when no explicit parameter declaration has been made.

  Parameters:
    `parameterName` - the name of the parameter
    `meta` - meta data used for this call
  Returns:
    the configured SqlParameter

### getUserName

    java.lang.String getUserName()

  Get the name of the current user. Useful for meta data lookups etc.

  Returns:
    current user name from database connection

### isReturnResultSetSupported

    boolean isReturnResultSetSupported()

  Does this database support returning resultsets that should be retrieved with the JDBC call `Statement.getResultSet()`

### isRefCursorSupported

    boolean isRefCursorSupported()

  Does this database support returning resultsets as ref cursors to be retrieved with `CallableStatement.getObject(int)` for the specified column.

### getRefCursorSqlType

    int getRefCursorSqlType()

  Get the `Types` type for columns that return resultsets as ref cursors if this feature is supported.

### isProcedureColumnMetaDataUsed

    boolean isProcedureColumnMetaDataUsed()

  Are we using the meta data for the procedure columns?

### byPassReturnParameter

    boolean byPassReturnParameter(java.lang.String parameterName)

  Should we bypass the return parameter with the specified name. This allows the database specific implementation to skip the processing for specific results returned by the database call.

### getCallParameterMetaData

    java.util.List<CallParameterMetaData> getCallParameterMetaData()

  Get the call parameter metadata that is currently used.

  Returns:
    List of `CallParameterMetaData`

### isSupportsCatalogsInProcedureCalls

    boolean isSupportsCatalogsInProcedureCalls()

  Does the database support the use of catalog name in procedure calls

### isSupportsSchemasInProcedureCalls

    boolean isSupportsSchemasInProcedureCalls()

  Does the database support the use of schema name in procedure calls

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD